<h1>Latest News</h1>
[+
do {
$req = shift;
my $output = "";

$pwd = $req->component->cwd;
open(FILE, "<".$pwd."/../fortunes/fortunes-debconf") or die ("ERR!");
my(@lines) = <FILE>;         # read file into list
my($line);
my $i = 0;
my @quotearray;
foreach $line (@lines)              # loop thru list
{
	chomp $line;
	if ($line ne "%") {
		$line =~ s/</&lt;/g ;
		$line =~ s/>/&gt;/g ;

		$quotearray[$i] .= $line."\n";
	} else {
		$i++;
	}
}
close(FILE);

$size = @quotearray;
$output .= "I have $size quotes in my memory banks!\n<hr />\n";
foreach my $quote (@quotearray) {
	$output .= "<pre>".$quote."</pre>\n<hr />\n";
}
$foo = $output;
}
+]
